--CHAT_MSG_SAY CHAT_MSG_PARTY CHAT_MSG_RAID CHAT_MSG_PARTY_LEADER CHAT_MSG_RAID_LEADER CHAT_MSG_RAID_WARNING
function(...)
    aura_env.msgCount = aura_env.msgCount + 1
    n = select(7, GetChatWindowInfo(3))
    if n == true then
        aura_env.msgCount = 0
        aura_env.region:Hide()
    end
    if aura_env.msgCount > 0 and aura_env.msgCount < 10 then
        aura_env.text:SetText("\124cffffffff" .. aura_env.msgCount)
        if aura_env.region:IsShown() == false then
            aura_env.region:Show()
        end
        PlaySoundFile("Interface\\AddOns\\WeakAuras\\PowerAurasMedia\\Sounds\\huh_1.ogg", "Master")
        return "\124cFFFFFFFF" .. aura_env.msgCount
    elseif aura_env.msgCount >= 10 then
        aura_env.text:SetText("\124cffff8100" .. aura_env.msgCount)
        if aura_env.region:IsShown() == false then
            aura_env.region:Show()
        end
        PlaySoundFile("Interface\\AddOns\\WeakAuras\\PowerAurasMedia\\Sounds\\huh_1.ogg", "Master")
        return "\124cFFFF0000" .. aura_env.msgCount
    end
end

--GLOBAL_TICKER
function()
    n = select(7, GetChatWindowInfo(3))
    if n == true then
        if aura_env.region:IsShown() == true then
            aura_env.region:Hide()
        end
        aura_env.msgCount = 0
    end
end

--INIT
aura_env.msgCount = 0
aura_env.text = aura_env.region:CreateFontString(nil, "ARTWORK")
aura_env.text:SetPoint("CENTER", aura_env.region, "CENTER")
aura_env.text:SetFont("Interface\\AddOns\\WeakAuras\\Media\\Fonts\\FiraMono-Medium.ttf", 16, "OUTLINE")
aura_env.text:SetText(aura_env.msgCount)
aura_env.text:Show()
aura_env.region:Hide()
